/*
 * Time-related types.
 *
 * Copyright (C) 2019 Paul Boddie <paul@boddie.org.uk>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA
 */

#pragma once

#include <l4/sys/compiler.h>

EXTERN_C_BEGIN

/* Equivalent types are defined in sys/timespec.h typically. In newlib, they are
   defined in sys/_timespec.h. */

typedef __INT64_TYPE__ sys_time_t;

struct sys_timespec
{
  sys_time_t  tv_sec;   /* seconds */
  long        tv_nsec;  /* nanoseconds */
};

EXTERN_C_END
